#!/usr/bin/ruby

require 'gettext'
require 'gtk2'

class LocalizedWindow < Gtk::Window
	include GetText

  def initialize
    super
    GetText.bindtextdomain("hellogtk", "locale", nil, "utf-8") 
	 signal_connect('delete-event') do
  		Gtk.main_quit
	 end

    add(Gtk::Label.new(_("hello, gtk world")))
  end
end

Gtk.init
LocalizedWindow.new.show_all
Gtk.main
